%bcond_with tests # Tests require network access
Name:           perl-LWP-Protocol-https
Version:        6.02
Release:        5%{?dist}
Summary:        Provide HTTPS support for LWP::UserAgent
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/LWP-Protocol-https/
Source0:        http://www.cpan.org/authors/id/G/GA/GAAS/LWP-Protocol-https-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
%if %{with tests}
# Tests:
BuildRequires:  perl(IO::Socket::SSL) >= 1.38
BuildRequires:  perl(LWP::Protocol::http)
BuildRequires:  perl(LWP::UserAgent) >= 6.02
BuildRequires:  perl(Mozilla::CA) >= 20110101
BuildRequires:  perl(Net::HTTPS) >= 6
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(IO::Socket::SSL) >= 1.38
Requires:       perl(LWP::UserAgent) >= 6.02
Requires:       perl(Mozilla::CA) >= 20110101
Requires:       perl(Net::HTTPS) >= 6

# Remove underspecified dependencies
# RPM 4.8 style
%filter_from_requires /^perl(Net::HTTPS)\s*$/d
%filter_setup
# RPM 4.9 style
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Net::HTTPS\\)\\s*$

%description
The LWP::Protocol::https module provides support for using HTTPS schemed
URLs with LWP. This module is a plug-in to the LWP protocol handling, so
you don't use it directly. Once the module is installed LWP is able to
access sites using HTTP over SSL/TLS.

%prep
%setup -q -n LWP-Protocol-https-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{?with_tests:make test}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.02-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 25 2011 Petr Pisar <ppisar@redhat.com> - 6.02-4
- RPM 4.9 dependency filtering added

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 6.02-3
- Perl mass rebuild

* Tue Mar 29 2011 Petr Pisar <ppisar@redhat.com> - 6.02-2
- Disable tests because they need network access

* Mon Mar 28 2011 Petr Pisar <ppisar@redhat.com> 6.02-1
- Specfile autogenerated by cpanspec 1.78.
- Remove BuildRoot stuff
